import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listWares(query) {
  return request({
    url: '/integral/wares/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getWares(id) {
  return request({
    url: '/integral/wares/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addWares(data) {
  return request({
    url: '/integral/wares',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateWares(data) {
  return request({
    url: '/integral/wares',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delWares(id) {
  return request({
    url: '/integral/wares/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportWares(query) {
  return request({
    url: '/integral/wares/export',
    method: 'get',
    params: query
  })
}